Subject: Search for URL containing certain word

From: Julius Hamilton <[email-masked]>
Date: Thu, 22 Jul 2021 21:08:32 +0200

Hey,

I'm new to grep so I'd love any tips on how to search for text in the
following way.

I'd like to find a certain URL that is somewhere in a large text file. I
would like to find it by specifying "a URL which contains word X somewhere
within it", or even "a URL which is located within 3 lines of the word X".

I'd like to copy that URL and then write it to the top of the file.

I am considering doing this with Vim search commands, yet the underlying
regex would be the same, so I think this would be a good place to ask.

How would you do this with grep? Or a similar tool?

Thanks very much,
Julius